Module javafx.graphics
Package javafx.scene.transform

# Class Translate

java.lang.Object
javafx.scene.transform.Transform
javafx.scene.transform.Translate

All Implemented Interfaces:
  `Cloneable`, `EventTarget`

public class Translate extends Transform
This class represents an `Affine` object that translates coordinates by the specified factors. The matrix representing the translating transformation by distances `x`, `y` and `z` is as follows:

                  [   1   0   0   x   ]
                  [   0   1   0   y   ]
                  [   0   0   1   z   ]

Since:
  JavaFX 2.0

- ## Property Summary

  Properties
  Type
  Property
  Description
  `final DoubleProperty`
  `x`
  Defines the distance by which coordinates are translated in the X axis direction
  `final DoubleProperty`
  `y`
  Defines the distance by which coordinates are translated in the Y axis direction
  `final DoubleProperty`
  `z`
  Defines the distance by which coordinates are translated in the Z axis direction

  ### Properties declared in class javafx.scene.transform.Transform

  `identity, onTransformChanged, type2D`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Translate()`
  Creates a default Translate (identity).
  `Translate(double x, double y)`
  Creates a two-dimensional Translate.
  `Translate(double x, double y, double z)`
  Creates a three-dimensional Translate.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Translate`
  `clone()`
  Returns a deep copy of this transform.
  `Translate`
  `createInverse()`
  Returns the inverse transform of this transform.
  `final double`
  `getX()`
  Gets the value of the `x` property.
  `final double`
  `getY()`
  Gets the value of the `y` property.
  `final double`
  `getZ()`
  Gets the value of the `z` property.
  `Point2D`
  `inverseDeltaTransform(double x, double y)`
  Transforms the relative magnitude vector by the inverse of this transform.
  `Point3D`
  `inverseDeltaTransform(double x, double y, double z)`
  Transforms the relative magnitude vector by the inverse of this transform.
  `Point2D`
  `inverseDeltaTransform(Point2D point)`
  Transforms the relative magnitude vector represented by the specified `Point2D` instance by the inverse of this transform.
  `Point3D`
  `inverseDeltaTransform(Point3D point)`
  Transforms the relative magnitude vector represented by the specified `Point3D` instance by the inverse of this transform.
  `Point2D`
  `inverseTransform(double x, double y)`
  Transforms the specified point by the inverse of this transform.
  `Point3D`
  `inverseTransform(double x, double y, double z)`
  Transforms the specified point by the inverse of this transform.
  `final void`
  `setX(double value)`
  Sets the value of the `x` property.
  `final void`
  `setY(double value)`
  Sets the value of the `y` property.
  `final void`
  `setZ(double value)`
  Sets the value of the `z` property.
  `String`
  `toString()`
  Returns a string representation of this `Translate` object.
  `final DoubleProperty`
  `xProperty()`
  Defines the distance by which coordinates are translated in the X axis direction
  `final DoubleProperty`
  `yProperty()`
  Defines the distance by which coordinates are translated in the Y axis direction
  `final DoubleProperty`
  `zProperty()`
  Defines the distance by which coordinates are translated in the Z axis direction

  ### Methods declared in class javafx.scene.transform.Transform

  `addEventFilter, addEventHandler, affine, affine, buildEventDispatchChain, column, column, createConcatenation, deltaTransform, deltaTransform, deltaTransform, deltaTransform, determinant, getElement, getMxx, getMxy, getMxz, getMyx, getMyy, getMyz, getMzx, getMzy, getMzz, getOnTransformChanged, getTx, getTy, getTz, identityProperty, inverseTransform, inverseTransform, inverseTransform, inverseTransform2DPoints, inverseTransform3DPoints, isIdentity, isType2D, onTransformChangedProperty, removeEventFilter, removeEventHandler, rotate, row, row, scale, scale, setOnTransformChanged, shear, shear, similarTo, toArray, toArray, transform, transform, transform, transform, transform, transform2DPoints, transform3DPoints, transformChanged, translate, type2DProperty`

  ### Methods declared in class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Property Details

  - ### x

    public final DoubleProperty xProperty
    Defines the distance by which coordinates are translated in the X axis direction
    See Also:
      - `getX()`
      - `setX(double)`
      - `xProperty()`

  - ### y

    public final DoubleProperty yProperty
    Defines the distance by which coordinates are translated in the Y axis direction
    See Also:
      - `getY()`
      - `setY(double)`
      - `yProperty()`

  - ### z

    public final DoubleProperty zProperty
    Defines the distance by which coordinates are translated in the Z axis direction
    See Also:
      - `getZ()`
      - `setZ(double)`
      - `zProperty()`

- ## Constructor Details

  - ### Translate

    public Translate()
    Creates a default Translate (identity).

  - ### Translate

    public Translate(double x, double y)
    Creates a two-dimensional Translate.
    Parameters:
      `x` - the distance by which coordinates are translated in the X axis direction
      `y` - the distance by which coordinates are translated in the Y axis direction

  - ### Translate

    public Translate(double x, double y, double z)
    Creates a three-dimensional Translate.
    Parameters:
      `x` - the distance by which coordinates are translated in the X axis direction
      `y` - the distance by which coordinates are translated in the Y axis direction
      `z` - the distance by which coordinates are translated in the Z axis direction

- ## Method Details

  - ### setX

    public final void setX(double value)
    Sets the value of the `x` property.
    Property description:
      Defines the distance by which coordinates are translated in the X axis direction
    Parameters:
      `value` - the value for the `x` property
    See Also:
      - `getX()`
      - `xProperty()`

  - ### getX

    public final double getX()
    Gets the value of the `x` property.
    Property description:
      Defines the distance by which coordinates are translated in the X axis direction
    Returns:
      the value of the `x` property
    See Also:
      - `setX(double)`
      - `xProperty()`

  - ### xProperty

    public final DoubleProperty xProperty()
    Defines the distance by which coordinates are translated in the X axis direction
    Returns:
      the `x` property
    See Also:
      - `getX()`
      - `setX(double)`

  - ### setY

    public final void setY(double value)
    Sets the value of the `y` property.
    Property description:
      Defines the distance by which coordinates are translated in the Y axis direction
    Parameters:
      `value` - the value for the `y` property
    See Also:
      - `getY()`
      - `yProperty()`

  - ### getY

    public final double getY()
    Gets the value of the `y` property.
    Property description:
      Defines the distance by which coordinates are translated in the Y axis direction
    Returns:
      the value of the `y` property
    See Also:
      - `setY(double)`
      - `yProperty()`

  - ### yProperty

    public final DoubleProperty yProperty()
    Defines the distance by which coordinates are translated in the Y axis direction
    Returns:
      the `y` property
    See Also:
      - `getY()`
      - `setY(double)`

  - ### setZ

    public final void setZ(double value)
    Sets the value of the `z` property.
    Property description:
      Defines the distance by which coordinates are translated in the Z axis direction
    Parameters:
      `value` - the value for the `z` property
    See Also:
      - `getZ()`
      - `zProperty()`

  - ### getZ

    public final double getZ()
    Gets the value of the `z` property.
    Property description:
      Defines the distance by which coordinates are translated in the Z axis direction
    Returns:
      the value of the `z` property
    See Also:
      - `setZ(double)`
      - `zProperty()`

  - ### zProperty

    public final DoubleProperty zProperty()
    Defines the distance by which coordinates are translated in the Z axis direction
    Returns:
      the `z` property
    See Also:
      - `getZ()`
      - `setZ(double)`

  - ### createInverse

    public Translate createInverse()
    Description copied from class: `Transform`
    Returns the inverse transform of this transform.
    Overrides:
      `createInverse` in class `Transform`
    Returns:
      the inverse transform

  - ### clone

    public Translate clone()
    Description copied from class: `Transform`
    Returns a deep copy of this transform.
    Overrides:
      `clone` in class `Transform`
    Returns:
      a copy of this transform

  - ### inverseTransform

    public Point2D inverseTransform(double x, double y)
    Description copied from class: `Transform`
    Transforms the specified point by the inverse of this transform. This method can be used only for 2D transforms.
    Overrides:
      `inverseTransform` in class `Transform`
    Parameters:
      `x` - the X coordinate of the point
      `y` - the Y coordinate of the point
    Returns:
      the inversely transformed point

  - ### inverseTransform

    public Point3D inverseTransform(double x, double y, double z)
    Description copied from class: `Transform`
    Transforms the specified point by the inverse of this transform.
    Overrides:
      `inverseTransform` in class `Transform`
    Parameters:
      `x` - the X coordinate of the point
      `y` - the Y coordinate of the point
      `z` - the Z coordinate of the point
    Returns:
      the inversely transformed point

  - ### inverseDeltaTransform

    public Point2D inverseDeltaTransform(double x, double y)
    Description copied from class: `Transform`
    Transforms the relative magnitude vector by the inverse of this transform. The vector is transformed without applying the translation components of the affine transformation matrix. This method can be used only for a 2D transform.
    Overrides:
      `inverseDeltaTransform` in class `Transform`
    Parameters:
      `x` - vector magnitude in the direction of the X axis
      `y` - vector magnitude in the direction of the Y axis
    Returns:
      the inversely transformed relative magnitude vector represented by a `Point2D` instance

  - ### inverseDeltaTransform

    public Point2D inverseDeltaTransform(Point2D point)
    Description copied from class: `Transform`
    Transforms the relative magnitude vector represented by the specified `Point2D` instance by the inverse of this transform. The vector is transformed without applying the translation components of the affine transformation matrix. This method can be used only for a 2D transform.
    Overrides:
      `inverseDeltaTransform` in class `Transform`
    Parameters:
      `point` - the relative magnitude vector
    Returns:
      the inversely transformed relative magnitude vector represented by a `Point2D` instance

  - ### inverseDeltaTransform

    public Point3D inverseDeltaTransform(double x, double y, double z)
    Description copied from class: `Transform`
    Transforms the relative magnitude vector by the inverse of this transform. The vector is transformed without applying the translation components of the affine transformation matrix.
    Overrides:
      `inverseDeltaTransform` in class `Transform`
    Parameters:
      `x` - vector magnitude in the direction of the X axis
      `y` - vector magnitude in the direction of the Y axis
      `z` - vector magnitude in the direction of the Z axis
    Returns:
      the inversely transformed relative magnitude vector represented by a `Point3D` instance

  - ### inverseDeltaTransform

    public Point3D inverseDeltaTransform(Point3D point)
    Description copied from class: `Transform`
    Transforms the relative magnitude vector represented by the specified `Point3D` instance by the inverse of this transform. The vector is transformed without applying the translation components of the affine transformation matrix.
    Overrides:
      `inverseDeltaTransform` in class `Transform`
    Parameters:
      `point` - the relative magnitude vector
    Returns:
      the inversely transformed relative magnitude vector represented by a `Point3D` instance

  - ### toString

    public String toString()
    Returns a string representation of this `Translate` object.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of this `Translate` object.